package service;

import dao.DAOFactory;
import dao.TeacherDAO;
import model.Teacher;
import java.util.List;

/**
 * 教师信息服务类
 */
public class TeacherService {
    private final TeacherDAO teacherDAO = DAOFactory.getTeacherDAO();

    /**
     * 教师登录
     * @param teacherId 教师工号
     * @param password 密码
     * @return 登录成功返回教师信息，失败返回null
     */
    public Teacher login(String teacherId, String password) {
        Teacher teacher = teacherDAO.findByTeacherId(teacherId);
        System.out.println("尝试登录：教师工号：" + teacherId);
        System.out.println("教师存在：" + (teacher != null));
        if (teacher != null) {
            System.out.println("存储密码：" + teacher.getPassword());
            System.out.println("输入密码：" + password);
            System.out.println("密码匹配：" + password.equals(teacher.getPassword()));
        }
        if (teacher != null && password.equals(teacher.getPassword())) {
            return teacher;
        }
        return null;
    }
}
